Levain LabsLevain Labs
API ReferenceAgents

List Agents

List all non-deleted agents for the workspace.

List all non-deleted agents for the workspace.

GET
/api/v1/agents/

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/agents/"
[
  {
    "id": "string",
    "name": "string",
    "slug": "string",
    "description": "string",
    "status": "string",
    "icon": "string",
    "color": "string",
    "kind": "customer",
    "config": {
      "max_budget": 1,
      "timeout_minutes": 1,
      "notify_on_run": true,
      "workspace_scope": "session",
      "interactive": true,
      "keep_warm_minutes": 1
    },
    "workspace_integration_access": false,
    "created_at": "string",
    "updated_at": "string",
    "draft_version": 0,
    "latest_version": 0,
    "open_issue_count": 0
  }
]